[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TGetColorsEvent

Specifies an event handler used to get the colors in a color control.

## Declaration

Source position: colorbox.pas line 44

`type TGetColorsEvent = procedure(`
`Sender: TCustomColorBox;`
`Items: TStrings`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Items` |  | TStrings instance with the color names and values used in the control.

## Description

TGetColorsEvent is an object procedure type which specifies an event handler used to get the colors names and values used in a color control.

Sender is the control for the event notification and the location where the color values are used.

TGetColorsEvent is the type used for the TColorBox.OnGetColors and TColorListBox.OnGetColors event handlers.

## See also

TCustomColorBox.OnGetColors |  | OnGetColors - event handler for the instruction to get colors.
TColorBox.OnGetColors |  | OnGetColors - event handler for the instruction to get colors.
TCustomColorListBox.OnGetColors |  | OnGetColors - event handler for the instruction to get colors.
TColorListBox.OnGetColors |  | OnGetColors - event handler for the instruction to get colors.